
function limpiarpp(){

    document.getElementById('g_id1').value='';
    document.getElementById('g_id2').value='';

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    document.getElementById('cod').value='';
    document.getElementById('pa').value='';
    document.getElementById('sa').value='';
    document.getElementById('pn').value='';
    document.getElementById('sn').value='';
    document.getElementById('es').value='';


    document.getElementById('info_alum').innerHTML='';
}

function retornar_pp(){
 
       window.location.href='../menu_coordinador.php'

}

//-----------------------------------------

function actualizar_alumno(codigo,sw){


if (sw==0){
    var curso=get('CUR_'+codigo);
    var aprobado=get('PROM_'+codigo);
    var estado=get('EST_'+codigo);
    
    var parametros = {"accion":'actualizar_curso_alumno',"codigo":codigo,"curso":curso,"aprobado":aprobado,"estado":estado,"estado_obser":sw};
}
else{
    var observacion=get('OBSER_'+codigo);
    var parametros = {"accion":'actualizar_curso_alumno',"codigo":codigo,"observacion":observacion,"estado_obser":sw};
    }
    


        $.ajax({
                data:  parametros,
                url:"app/model/insertar_alumnos_matricula.php",
                type:  'post',
                success:function (response){
                      alert(response);
                    }

        });
}

//-----------------------------------------

function eliminar_alumno(codigo){

var parametros = {"accion":'eliminar_alumno',"codigo":codigo};

        $.ajax({
                data:  parametros,
                url:"app/model/insertar_alumnos_matricula.php",
                type:  'post',
                success:function (response){
                      alert(response);
                    }

        });

        consulta();
}

//-----------------------------------------

function consulta(){

    var cod=get('cod');
    var pa=get('pa');
    var sa=get('sa');
    var pn=get('pn');
    var sn=get('sn');
    var grado=get('g_id1');
    var curso=get('c_id1');
    var es=get('es');

    //alert(cod+" -- "+pa+" -- "+sa+" -- "+pn+" -- "+sn+" -- "+grado+" -- "+curso+" -- "+es);
    
    var cadena;
 

    var R0, R1, R2, R3, R4, R5, R6, R7;

    
    if(cod!='')//---CODIGO
        {
            R0="='"+cod+"'";
        }else{
            R0=" like '%' ";
        }
    
    if(pa!='')//---P_APELLIDO
        {
            R1="='"+pa+"'";
        }else{
            R1=" like '%' ";
        }
    
        
    if(sa!='')//---S_APELLIDO
        {
            R2="='"+sa+"'";
        }else{
            R2=" like '%' ";
        }
        
    if(grado!='')//---GRADO
        {
            R3="='"+grado+"'";
        }else{
            R3=" like '%' ";
        }
    
     if(curso!='')//---CURSO
        {
            R4="='"+curso+"'";
        }else{
            R4=" like '%' ";
        }
    
    
     if(es!='')//---ESTADO
        {
            R5="='"+es+"'";
        }else{
            R5=" like '%' ";
        }
       
    if(pn!='')//---P_NOMBRE
        {
            R6="='"+pn+"'";
        }else{
            R6=" like '%' ";
        }
    
    
    if(sn!='')//---S_NOMBRE
        {
            R7="='"+sn+"'";
        }else{
            R7=" like '%' ";
        }


    if((pa!='')&&(pa!='*'))
     {
       R1="like '"+pa+"%'";
     }

     if((sa!='')&&(sa!='*'))
     {
       R2="like '"+sa+"%'";
     }

    if((pn!='')&&(pn!='*'))
     {
       R6="like '"+pn+"%'";
     }


     if((sn!='')&&(sn!='*'))
     {
       R7="like '"+sn+"%'";
     }

    
    cadena="select matriculas.codigo, alumnos.p_apellido,alumnos.s_apellido,alumnos.p_nombre,alumnos.s_nombre,matriculas.grado,matriculas.curso,matriculas.promovido,matriculas.estado,matriculas.observacion from matriculas inner join alumnos on matriculas.codigo=alumnos.codigo where matriculas.codigo "+R0+" and matriculas.grado "+R3+" and matriculas.curso "+R4+" and matriculas.estado "+R5+" and alumnos.p_apellido "+R1+" and alumnos.s_apellido "+R2+" and alumnos.p_nombre "+R6+" and alumnos.s_nombre "+R7+" order by alumnos.p_apellido,alumnos.s_apellido,alumnos.p_nombre,alumnos.s_nombre asc;";


    var parametros = {"accion":'mostrar_tabla',"cadena":cadena};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_alumnos_matricula.php",
                type:  'post',
                success:function (response){

                       document.getElementById('info_alum').innerHTML=response;
                    }

        });
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

//*+++++++++++++++++++++

